Loading...
Searching...
No Matches
casacore::BaseColumn Class Referenceabstract
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <BaseColumn.h>`

## Public Member Functions

| BaseColumn (const BaseColumnDesc *)
| Construct it using the given column description.
virtual | ~BaseColumn ()
virtual Bool | isWritable () const =0
| Test if the column is writable.
virtual Bool | isStored () const =0
| Test if the column is stored (otherwise it is virtual).
virtual TableRecord & | rwKeywordSet ()=0
| Get access to the column keyword set.
virtual TableRecord & | keywordSet ()=0
const ColumnDesc & | columnDesc () const
| Get const access to the column description.
virtual rownr_t | nrow () const =0
| Get nr of rows in the column.
virtual Bool | isDefined (rownr_t rownr) const =0
| Test if the given cell contains a defined value.
virtual void | setShape (rownr_t rownr, const IPosition &shape)
| Set the shape of the array in the given row.
virtual void | setShape (rownr_t rownr, const IPosition &shape, const IPosition &tileShape)
| Set the shape and tile shape of the array in the given row.
virtual uInt | ndimColumn () const
| Get the global #dimensions of an array (ie.
virtual IPosition | shapeColumn () const
| Get the global shape of an array (ie.
virtual uInt | ndim (rownr_t rownr) const
| Get the #dimensions of an array in a particular cell.
virtual IPosition | shape (rownr_t rownr) const
| Get the shape of an array in a particular cell.
virtual IPosition | tileShape (rownr_t rownr) const
| Get the tile shape of an array in a particular cell.
virtual Bool | canChangeShape () const
| Ask the data manager if the shape of an existing array can be changed.
virtual void | initialize (rownr_t startRownr, rownr_t endRownr)=0
| Initialize the rows from startRow till endRow (inclusive) with the default value defined in the column description.
virtual void | get (rownr_t rownr, void *dataPtr) const
| Get a scalar value from a particular cell.
virtual void | getArray (rownr_t rownr, ArrayBase &dataPtr) const
| Get an array from a particular cell.
virtual void | getSlice (rownr_t rownr, const Slicer &, ArrayBase &dataPtr) const
| Get a slice of an N-dimensional array in a particular cell.
virtual void | getScalarColumn (ArrayBase &dataPtr) const
| Get the vector of all scalar values in a column.
virtual void | getArrayColumn (ArrayBase &dataPtr) const
| Get the array of all array values in a column.
virtual void | getColumnSlice (const Slicer &, ArrayBase &dataPtr) const
| Get subsections from all arrays in the column.
virtual void | getScalarColumnCells (const RefRows &rownrs, ArrayBase &dataPtr) const
| Get the vector of some scalar values in a column.
virtual void | getArrayColumnCells (const RefRows &rownrs, ArrayBase &dataPtr) const
| Get the array of some array values in a column.
virtual void | getColumnSliceCells (const RefRows &rownrs, const Slicer &, ArrayBase &dataPtr) const
| Get subsections from some arrays in the column.
virtual void | put (rownr_t rownr, const void *dataPtr)
| Put the scalar value in a particular cell.
virtual void | putArray (rownr_t rownr, const ArrayBase &dataPtr)
| Put the array value in a particular cell.
virtual void | putSlice (rownr_t rownr, const Slicer &, const ArrayBase &dataPtr)
| Put a slice of an N-dimensional array in a particular cell.
virtual void | putScalarColumn (const ArrayBase &dataPtr)
| Put the vector of all scalar values in the column.
virtual void | putArrayColumn (const ArrayBase &dataPtr)
| Put the array of all array values in the column.
virtual void | putColumnSlice (const Slicer &, const ArrayBase &dataPtr)
| Put into subsections of all table arrays in the column.
virtual void | putScalarColumnCells (const RefRows &rownrs, const ArrayBase &dataPtr)
| Get the vector of some scalar values in a column.
virtual void | putArrayColumnCells (const RefRows &rownrs, const ArrayBase &dataPtr)
| Get the array of some array values in a column.
virtual void | putColumnSliceCells (const RefRows &rownrs, const Slicer &, const ArrayBase &dataPtr)
| Put subsections of some arrays in the column.
void | getScalar (rownr_t rownr, Bool &value) const
| Get the value from the row and convert it to the required type.
void | getScalar (rownr_t rownr, uChar &value) const
void | getScalar (rownr_t rownr, Short &value) const
void | getScalar (rownr_t rownr, uShort &value) const
void | getScalar (rownr_t rownr, Int &value) const
void | getScalar (rownr_t rownr, uInt &value) const
void | getScalar (rownr_t rownr, Int64 &value) const
void | getScalar (rownr_t rownr, float &value) const
void | getScalar (rownr_t rownr, double &value) const
void | getScalar (rownr_t rownr, Complex &value) const
void | getScalar (rownr_t rownr, DComplex &value) const
void | getScalar (rownr_t rownr, String &value) const
void | getScalar (rownr_t rownr, TableRecord &value) const
void | getScalar (rownr_t rownr, void *value, const String &dataTypeId) const
| Get a scalar for the other data types.
void | putScalar (rownr_t rownr, const Bool &value)
| Put the value into the row and convert it from the given type.
void | putScalar (rownr_t rownr, const uChar &value)
void | putScalar (rownr_t rownr, const Short &value)
void | putScalar (rownr_t rownr, const uShort &value)
void | putScalar (rownr_t rownr, const Int &value)
void | putScalar (rownr_t rownr, const uInt &value)
void | putScalar (rownr_t rownr, const Int64 &value)
void | putScalar (rownr_t rownr, const float &value)
void | putScalar (rownr_t rownr, const double &value)
void | putScalar (rownr_t rownr, const Complex &value)
void | putScalar (rownr_t rownr, const DComplex &value)
void | putScalar (rownr_t rownr, const String &value)
void | putScalar (rownr_t rownr, const Char *value)
void | putScalar (rownr_t rownr, const TableRecord &value)
virtual ColumnCache & | columnCache ()=0
| Get a pointer to the underlying column cache.
virtual void | setMaximumCacheSize (uInt nbytes)=0
| Set the maximum cache size (in bytes) to be used by a storage manager.
virtual void | makeSortKey (Sort &, std::shared_ptr< BaseCompare > &cmpObj, Int order, std::shared_ptr< ArrayBase > &dataSave)
| Add this column and its data to the Sort object.
virtual void | makeRefSortKey (Sort &, std::shared_ptr< BaseCompare > &cmpObj, Int order, const Vector< rownr_t > &rownrs, std::shared_ptr< ArrayBase > &dataSave)
| Do it only for the given row numbers.
virtual void | allocIterBuf (void *&lastVal, void *&curVal, std::shared_ptr< BaseCompare > &cmpObj)
| Allocate value buffers for the table iterator.
virtual void | freeIterBuf (void *&lastVal, void *&curVal)
| Free the value buffers allocated by allocIterBuf.

## Protected Member Functions

void | throwGetScalar () const
| Throw exceptions for invalid scalar get or put.
void | throwPutScalar () const
void | throwGetType (const String &type) const
void | throwPutType (const String &type) const

## Protected Attributes

const BaseColumnDesc * | colDescPtr_p

## Private Attributes

ColumnDesc | colDesc_p

## Detailed Description

Abstract base class for a table column

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- ColumnDesc
- Table

### Etymology

This is the (abstract) base class to access a column in a table.

### Synopsis

This class is the base class for the derived column classes. It is a private class in the sense that the user cannot get access to it. All user access to a column is done via the classes TableColumn, ScalarColumn and ArrayColumn. They call the corresponding functions in this class and its derived classes.

### Motivation

This class serves a the base for the more specialized column classes like FilledScalarColumn and RefColumn. It defines many virtual functions, which are implemented in the derived classes. Some of these functions are purely virtual, some have a default implementation throwing an "invalid operation" exception. In that way those latter functions only have to be implemented in the classes which handle those cases.
Tip: The class RefColumn is in fact implemented in terms of this class; Almost every function in RefColumn calls the corresponding function in BaseColumn with the correct row number;

Definition at line 96 of file BaseColumn.h.

## Constructor & Destructor Documentation

## BaseColumn()

casacore::BaseColumn::BaseColumn | ( | const BaseColumnDesc * |  | ) |

Construct it using the given column description.

Referenced by casacore::ConcatColumn::getColumnPart(), casacore::ConcatColumn::getColumnSlicePart(), casacore::ConcatColumn::getRowsPart(), casacore::ConcatColumn::getRowsSlicePart(), casacore::ConcatColumn::putColumnPart(), casacore::ConcatColumn::putColumnSlicePart(), casacore::ConcatColumn::putRowsPart(), casacore::ConcatColumn::putRowsSlicePart(), and casacore::RefColumn::RefColumn().

## ~BaseColumn()

virtual casacore::BaseColumn::~BaseColumn | ( |  | ) |

virtual

## Member Function Documentation

## allocIterBuf()

virtual void casacore::BaseColumn::allocIterBuf | ( | void *& | lastVal,
|  | void *& | curVal,
|  | std::shared_ptr< BaseCompare > & | cmpObj )

virtual

Allocate value buffers for the table iterator.

Also get a comparison object if undefined. The function freeIterBuf must be called to free the buffers.

Reimplemented in casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## canChangeShape()

virtual Bool casacore::BaseColumn::canChangeShape | ( |  | ) | const

virtual

Ask the data manager if the shape of an existing array can be changed.

Default is no.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## columnCache()

virtual ColumnCache & casacore::BaseColumn::columnCache | ( |  | ) |

pure virtual

Get a pointer to the underlying column cache.

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## columnDesc()

const ColumnDesc & casacore::BaseColumn::columnDesc | ( |  | ) | const

Get const access to the column description.

## freeIterBuf()

virtual void casacore::BaseColumn::freeIterBuf | ( | void *& | lastVal,
|  | void *& | curVal )

virtual

Free the value buffers allocated by allocIterBuf.

Reimplemented in casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## get()

virtual void casacore::BaseColumn::get | ( | rownr_t | rownr,
|  | void * | dataPtr ) const

virtual

Get a scalar value from a particular cell.

Reimplemented in casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## getArray()

virtual void casacore::BaseColumn::getArray | ( | rownr_t | rownr,
|  | ArrayBase & | dataPtr ) const

virtual

Get an array from a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## getArrayColumn()

virtual void casacore::BaseColumn::getArrayColumn | ( | ArrayBase & | dataPtr | ) | const

virtual

Get the array of all array values in a column.

If the column contains n-dim arrays, the resulting array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## getArrayColumnCells()

virtual void casacore::BaseColumn::getArrayColumnCells | ( | const RefRows & | rownrs,
|  | ArrayBase & | dataPtr ) const

virtual

Get the array of some array values in a column.

If the column contains n-dim arrays, the resulting array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## getColumnSlice()

virtual void casacore::BaseColumn::getColumnSlice | ( | const Slicer & | ,
|  | ArrayBase & | dataPtr ) const

virtual

Get subsections from all arrays in the column.

If the column contains n-dim arrays, the resulting array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## getColumnSliceCells()

virtual void casacore::BaseColumn::getColumnSliceCells | ( | const RefRows & | rownrs,
|  | const Slicer & | ,
|  | ArrayBase & | dataPtr ) const

virtual

Get subsections from some arrays in the column.

If the column contains n-dim arrays, the resulting array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## getScalar() [1/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | Bool & | value ) const

Get the value from the row and convert it to the required type.

This can only be used for scalar columns with a standard data type. Note that an unsigned integer cannot be converted to a signed integer with the same length. So only Int64 can handle all integer values.

References casacore::NewDelAllocator< T >::value.

## getScalar() [2/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | Complex & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [3/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | DComplex & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [4/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | double & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [5/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | float & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [6/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | Int & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [7/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | Int64 & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [8/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | Short & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [9/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | String & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [10/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | TableRecord & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [11/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | uChar & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [12/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | uInt & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [13/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | uShort & | value ) const

References casacore::NewDelAllocator< T >::value.

## getScalar() [14/14]

void casacore::BaseColumn::getScalar | ( | rownr_t | rownr,
|  | void * | value,
|  | const String & | dataTypeId ) const

Get a scalar for the other data types.

The given data type id must match the data type id of this column.

References casacore::NewDelAllocator< T >::value.

## getScalarColumn()

virtual void casacore::BaseColumn::getScalarColumn | ( | ArrayBase & | dataPtr | ) | const

virtual

Get the vector of all scalar values in a column.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## getScalarColumnCells()

virtual void casacore::BaseColumn::getScalarColumnCells | ( | const RefRows & | rownrs,
|  | ArrayBase & | dataPtr ) const

virtual

Get the vector of some scalar values in a column.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## getSlice()

virtual void casacore::BaseColumn::getSlice | ( | rownr_t | rownr,
|  | const Slicer & | ,
|  | ArrayBase & | dataPtr ) const

virtual

Get a slice of an N-dimensional array in a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## initialize()

virtual void casacore::BaseColumn::initialize | ( | rownr_t | startRownr,
|  | rownr_t | endRownr )

pure virtual

Initialize the rows from startRow till endRow (inclusive) with the default value defined in the column description.

Implemented in casacore::ArrayColumnData, casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## isDefined()

virtual Bool casacore::BaseColumn::isDefined | ( | rownr_t | rownr | ) | const

pure virtual

Test if the given cell contains a defined value.

Implemented in casacore::ArrayColumnData, casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## isStored()

virtual Bool casacore::BaseColumn::isStored | ( |  | ) | const

pure virtual

Test if the column is stored (otherwise it is virtual).

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## isWritable()

virtual Bool casacore::BaseColumn::isWritable | ( |  | ) | const

pure virtual

Test if the column is writable.

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## keywordSet()

virtual TableRecord & casacore::BaseColumn::keywordSet | ( |  | ) |

pure virtual

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## makeRefSortKey()

virtual void casacore::BaseColumn::makeRefSortKey | ( | Sort & | ,
|  | std::shared_ptr< BaseCompare > & | cmpObj,
|  | Int | order,
|  | const Vector< rownr_t > & | rownrs,
|  | std::shared_ptr< ArrayBase > & | dataSave )

virtual

Do it only for the given row numbers.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

References casacore::order().

## makeSortKey()

virtual void casacore::BaseColumn::makeSortKey | ( | Sort & | ,
|  | std::shared_ptr< BaseCompare > & | cmpObj,
|  | Int | order,
|  | std::shared_ptr< ArrayBase > & | dataSave )

virtual

Add this column and its data to the Sort object.

It may allocate some storage on the heap, which will be saved in the argument dataSave. The function freeSortKey must be called to free this storage.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

References casacore::order().

## ndim()

virtual uInt casacore::BaseColumn::ndim | ( | rownr_t | rownr | ) | const

virtual

Get the #dimensions of an array in a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## ndimColumn()

virtual uInt casacore::BaseColumn::ndimColumn | ( |  | ) | const

virtual

Get the global #dimensions of an array (ie.

for all rows).

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## nrow()

virtual rownr_t casacore::BaseColumn::nrow | ( |  | ) | const

pure virtual

Get nr of rows in the column.

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## put()

virtual void casacore::BaseColumn::put | ( | rownr_t | rownr,
|  | const void * | dataPtr )

virtual

Put the scalar value in a particular cell.

Reimplemented in casacore::ConcatColumn, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## putArray()

virtual void casacore::BaseColumn::putArray | ( | rownr_t | rownr,
|  | const ArrayBase & | dataPtr )

virtual

Put the array value in a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## putArrayColumn()

virtual void casacore::BaseColumn::putArrayColumn | ( | const ArrayBase & | dataPtr | ) |

virtual

Put the array of all array values in the column.

If the column contains n-dim arrays, the source array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## putArrayColumnCells()

virtual void casacore::BaseColumn::putArrayColumnCells | ( | const RefRows & | rownrs,
|  | const ArrayBase & | dataPtr )

virtual

Get the array of some array values in a column.

If the column contains n-dim arrays, the resulting array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## putColumnSlice()

virtual void casacore::BaseColumn::putColumnSlice | ( | const Slicer & | ,
|  | const ArrayBase & | dataPtr )

virtual

Put into subsections of all table arrays in the column.

If the column contains n-dim arrays, the source array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## putColumnSliceCells()

virtual void casacore::BaseColumn::putColumnSliceCells | ( | const RefRows & | rownrs,
|  | const Slicer & | ,
|  | const ArrayBase & | dataPtr )

virtual

Put subsections of some arrays in the column.

If the column contains n-dim arrays, the source array is (n+1)-dim. The arrays in the column have to have the same shape in all cells.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## putScalar() [1/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Bool & | value )

Put the value into the row and convert it from the given type.

This can only be used for scalar columns with a standard data type.

References casacore::NewDelAllocator< T >::value.

Referenced by putScalar().

## putScalar() [2/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Char * | value )

inline

Definition at line 271 of file BaseColumn.h.

References casacore::NewDelAllocator< T >::value, and putScalar().

## putScalar() [3/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Complex & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [4/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const DComplex & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [5/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const double & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [6/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const float & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [7/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Int & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [8/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Int64 & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [9/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const Short & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [10/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const String & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [11/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const TableRecord & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [12/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const uChar & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [13/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const uInt & | value )

References casacore::NewDelAllocator< T >::value.

## putScalar() [14/14]

void casacore::BaseColumn::putScalar | ( | rownr_t | rownr,
|  | const uShort & | value )

References casacore::NewDelAllocator< T >::value.

## putScalarColumn()

virtual void casacore::BaseColumn::putScalarColumn | ( | const ArrayBase & | dataPtr | ) |

virtual

Put the vector of all scalar values in the column.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## putScalarColumnCells()

virtual void casacore::BaseColumn::putScalarColumnCells | ( | const RefRows & | rownrs,
|  | const ArrayBase & | dataPtr )

virtual

Get the vector of some scalar values in a column.

Reimplemented in casacore::ConcatScalarColumn< T >, casacore::RefColumn, casacore::ScalarColumnData< T >, and casacore::ScalarRecordColumnData.

## putSlice()

virtual void casacore::BaseColumn::putSlice | ( | rownr_t | rownr,
|  | const Slicer & | ,
|  | const ArrayBase & | dataPtr )

virtual

Put a slice of an N-dimensional array in a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## rwKeywordSet()

virtual TableRecord & casacore::BaseColumn::rwKeywordSet | ( |  | ) |

pure virtual

Get access to the column keyword set.

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## setMaximumCacheSize()

virtual void casacore::BaseColumn::setMaximumCacheSize | ( | uInt | nbytes | ) |

pure virtual

Set the maximum cache size (in bytes) to be used by a storage manager.

Implemented in casacore::ConcatColumn, casacore::PlainColumn, and casacore::RefColumn.

## setShape() [1/2]

virtual void casacore::BaseColumn::setShape | ( | rownr_t | rownr,
|  | const IPosition & | shape )

virtual

Set the shape of the array in the given row.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

References shape().

## setShape() [2/2]

virtual void casacore::BaseColumn::setShape | ( | rownr_t | rownr,
|  | const IPosition & | shape,
|  | const IPosition & | tileShape )

virtual

Set the shape and tile shape of the array in the given row.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

References shape(), and tileShape().

## shape()

virtual IPosition casacore::BaseColumn::shape | ( | rownr_t | rownr | ) | const

virtual

Get the shape of an array in a particular cell.

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

Referenced by setShape(), setShape(), and casacore::PlainColumn::setShapeColumn().

## shapeColumn()

virtual IPosition casacore::BaseColumn::shapeColumn | ( |  | ) | const

virtual

Get the global shape of an array (ie.

for all rows).

Reimplemented in casacore::ArrayColumnData, casacore::ConcatColumn, and casacore::RefColumn.

## throwGetScalar()

void casacore::BaseColumn::throwGetScalar | ( |  | ) | const

protected

Throw exceptions for invalid scalar get or put.

## throwGetType()

void casacore::BaseColumn::throwGetType | ( | const String & | type | ) | const

protected

## throwPutScalar()

void casacore::BaseColumn::throwPutScalar | ( |  | ) | const

protected

## throwPutType()

void casacore::BaseColumn::throwPutType | ( | const String & | type | ) | const

protected

## tileShape()

virtual IPosition casacore::BaseColumn::tileShape | ( | rownr_t | rownr | ) | const

virtual

Get the tile shape of an array in a particular cell.

Reimplemented in casacore::ArrayColumnData, and casacore::ConcatColumn.

Referenced by setShape(), and casacore::RefColumn::setShape().

## Member Data Documentation

## colDesc_p

ColumnDesc casacore::BaseColumn::colDesc_p

mutable private

Definition at line 319 of file BaseColumn.h.

## colDescPtr_p

const BaseColumnDesc* casacore::BaseColumn::colDescPtr_p

protected

Definition at line 314 of file BaseColumn.h.

The documentation for this class was generated from the following file:

- tables/Tables/BaseColumn.h